package com.sysu.admin.support.system.user_role;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;

/**
 * @title RolePermission
 * @description
 * @author XIE
 * @date 2020年4月24日下午10:07:17
 */
@Data
@Accessors(fluent = true)
@Embeddable
public class PKUR implements Serializable {

    /** 序列化 */
    private static final long serialVersionUID = 1L;

    /**
     * 用户
     */
    @Column
    private Long users;

    /**
     * 角色
     */
    @Column
    private Long roles;

    public Long getRoles() {
        return roles;
    }

    public Long getUsers() {
        return users;
    }
}
